<?xml version="1.0" encoding="utf-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" >
  <xsl:template match="/">
	<xsl:apply-templates/>
  </xsl:template>
  <xsl:template match="JCSGMLInputTemplate">
  </xsl:template>
  <xsl:template match="featureCollection">
  <ogr:FeatureCollection
     xmlns:xsi="http://www.w3c.org/2001/XMLSchema-instance"
     xsi:schemaLocation=". kraje_pseudo.xsd"
     xmlns:ogr="http://ogr.maptools.org/"
     xmlns="http://ogr.maptools.org/"
     xmlns:gml="http://www.opengis.net/gml">
      <xsl:for-each select="feature">
        <gml:featureMember>
          <prvek fid="{position()}">
	    <ogr:geometryProperty>
	    <xsl:copy-of select="geometry/*"/> 	
            </ogr:geometryProperty>
            <xsl:for-each select="property">
	      <xsl:variable name="naz" select="@name"/>
	      <xsl:element name="{$naz}"><xsl:value-of select="."/></xsl:element>
            </xsl:for-each>
          </prvek>
        </gml:featureMember>
      </xsl:for-each>
  </ogr:FeatureCollection>
  </xsl:template>
</xsl:transform>
