<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gml="http://www.opengis.net/gml"
xmlns:wfs="http://www.opengis.net/wfs"
xmlns:kml="http://earth.google.com/kml/2.1">

<xsl:template match="featureCollection/feature/geometry/gml:Polygon">
  <xsl:for-each select="gml:outerBoundaryIs/gml:LinearRing">
  <Polygon>
     <outerBoundaryIs>
       <LinearRing>
        <coordinates>  
 <xsl:value-of select="gml:coordinates"/>
  </coordinates>  
       </LinearRing>
        </outerBoundaryIs>
  </Polygon>
  </xsl:for-each>
</xsl:template>

<xsl:template match="featureCollection/feature/geometry/gml:Point">
  <!--xsl:for-each select="*"!-->
  <Point>     
        <coordinates>  
			<xsl:value-of select="gml:coordinates"/>
  </coordinates>  
  </Point>
<!--/xsl:for-each!-->
</xsl:template>

<xsl:template match="/">
<kml>
<Placemark>
  <name>Pokus</name>
  <MultiGeometry>
  <xsl:apply-templates/>
  </MultiGeometry>
  </Placemark>
</kml>
</xsl:template>
</xsl:stylesheet>