<?xml version="1.0" encoding="utf-8"?>
<xsl:transform xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ogr="http://ogr.maptools.org/" xmlns:aa="http://ogr.maptools.org/" xmlns:gml="http://www.opengis.net/gml" xmlns:fn="http://www.w3.org/2005/02/xpath-functions" version="1.0" 
>
  
  <xsl:template match="/ogr:FeatureCollection">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head></head><body>	

  <table>
			<tr>
			<xsl:for-each select="gml:featureMember[1]/aa:kraje_pseudo/*[name() != 'ogr:geometryProperty']">
					<xsl:variable name="nazev" select="name()"/>
					<td><xsl:copy-of select="$nazev"/></td>
			</xsl:for-each>
			</tr>
      <xsl:for-each select="gml:featureMember">
        <tr>
	     	<xsl:for-each select="aa:kraje_pseudo/*">
           <xsl:if test="name() != 'ogr:geometryProperty'"> 
	      			<td><xsl:value-of select="."/></td>
           </xsl:if>
	        	<!-- <td><xsl:value-of select="aa:nazkr"/></td> -->
        </xsl:for-each>
        </tr>
				<xsl:text>&#xa;</xsl:text>
      </xsl:for-each>
			<tr>
			<xsl:for-each select="gml:featureMember[1]/aa:kraje_pseudo/*[name() != 'ogr:geometryProperty']">
					<xsl:variable name="nazev" select="name()"/>
					<!-- <td><xsl:copy-of select="$nazev"/></td> -->
					<td><xsl:value-of select="sum(//aa:kraje_pseudo/child::*[name() = $nazev])"/></td>
			</xsl:for-each>
			</tr>
  </table>
	
  </body>
  </html>
  </xsl:template>
</xsl:transform>

