<?xml version="1.0" encoding="utf-8"?>
<xsl:transform 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
xmlns:gml="http://www.opengis.net/gml" 
xmlns:ogr="http://ogr.maptools.org/"
xmlns:vrstva="http://ogr.maptools.org/"
version="1.0" >
  <xsl:template match="/ogr:FeatureCollection">
	  <svg width="500px" height="500px" xmlns="http://www.w3.org/2000/svg" viewBox="-914222.837576437 904222.837576437 500000 500000">
      <g id="layer" transform="scale(1, -1)">
        <xsl:for-each select="gml:featureMember">
					<xsl:variable name="cor" select="vrstva:*[@fid]/ogr:geometryProperty/gml:Polygon/gml:outerBoundaryIs/gml:LinearRing/gml:coordinates"/>
					<polygon fill="red" stroke="blue" stroke-width="100" 
            points="{$cor}" />
					<xsl:text>&#xa;</xsl:text>
        </xsl:for-each>
      </g>
    </svg>
  </xsl:template>
</xsl:transform>
