<?xml version='1.0'?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:ogr="http://ogr.maptools.org/"
xmlns:gml="http://www.opengis.net/gml"
>
<xsl:output indent="yes" />
<xsl:template match="/">
	<kml xmlns="http://earth.google.com/kml/2.1">
	<Document>
	<name>Svedske Kralovstvi</name>
	<Style id="svedskystyl">
		<LineStyle>
			<color>ff000000</color>
		</LineStyle>
		<PolyStyle>
			<color>ffffaa55</color>
		</PolyStyle>
	</Style>
	<Folder>
	<name>Svedkse kralovstvi</name>
	<open>1</open>
	<xsl:for-each select="ogr:FeatureCollection/gml:featureMember/ogr:sweden/ogr:geometryProperty/gml:MultiPolygon/gml:polygonMember">
	<Placemark>
		<styleUrl>#svedskystyl</styleUrl>
		<name>svedsko</name>
		<Polygon>
			<tessellate>1</tessellate>
			<outerBoundaryIs>
				<LinearRing>
					<coordinates><xsl:value-of select="gml:Polygon/gml:outerBoundaryIs/gml:LinearRing/gml:coordinates" /></coordinates>
				</LinearRing>
				</outerBoundaryIs>
			</Polygon>
	</Placemark>
	</xsl:for-each>
	</Folder>
	</Document>
	</kml>
</xsl:template>

</xsl:stylesheet>